using Microsoft.Xna.Framework;
using Nez;
using Nez.PhysicsShapes;

namespace Dakota.Renderables
{
    public class VectorSprite : RenderableComponent, IUpdatable
    {
        private Vector2[] _polygon;
        private Vector2[] _rotatedPolygon;

        public override float Width => 100;
        public override float Height => 100;

        public VectorSprite(Vector2[] polygon, Color color)
        {
            _polygon = polygon;
            _rotatedPolygon = new Vector2[polygon.Length];
            Color = color;
        }

        public override void OnAddedToEntity()
        {
            Polygon.RotatePolygonVerts(Entity.Rotation, _polygon, _rotatedPolygon);
        }

        public override void Render(Batcher batcher, Camera camera)
        {
            Polygon.RotatePolygonVerts(Entity.Rotation, _polygon, _rotatedPolygon);
            batcher.DrawPolygon(Entity.Position, _rotatedPolygon, Color, true, 1);
        }

        public void Update()
        {
        }
    }
}