using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Input;
using Nez;

namespace Dakota.Space
{
    public class SpaceControls : SceneComponent, IUpdatable
    {
        private VirtualButton _pauseInput;

        private VirtualButton _debugInput;

        public SpaceControls()
        {
            _pauseInput = new VirtualButton();
            _pauseInput.Nodes.Add(new VirtualButton.KeyboardKey(Keys.P));

            _debugInput = new VirtualButton();
            _debugInput.Nodes.Add(new VirtualButton.KeyboardKey(Keys.A));
        }

        public override void Update()
        {
            if (Scene is SpaceScene ss)
            {
                if (_pauseInput.IsPressed) ss.TogglePause();

                if (_debugInput.IsPressed)
                {
                    // horizontal
                    //ss.AddAsteroid(new Vector2(400, 400), AsteroidSize.LARGE, new Vector2(100, 0));
                    //ss.AddAsteroid(new Vector2(900, 400), AsteroidSize.LARGE, new Vector2(-100, 0));

                    // vertical
                    //ss.AddAsteroid(new Vector2(400, 0), AsteroidSize.LARGE, new Vector2(0, 100));
                    //ss.AddAsteroid(new Vector2(400, 900), AsteroidSize.LARGE, new Vector2(0, -100));

                    ss.AddAsteroid(new Vector2(0, 0), AsteroidSize.LARGE, new Vector2(100, 100));
                    //ss.AddAsteroid(new Vector2(300, 300), AsteroidSize.LARGE, new Vector2(100, 100));
                    ss.AddAsteroid(new Vector2(300, 0), AsteroidSize.LARGE, new Vector2(-100, 100));

                    //ss.AsteroidEmitter.Emit();
                }
            }
        }
    }
}